Name: rarian
Version: 0.8.1
Release: 1
License: LGPLv2+
Group: System Environment/Base
Summary: Documentation meta-data library
URL: http://rarian.freedesktop.org/
Source0: http://download.gnome.org/sources/rarian/0.8/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# RH bug #453342
Patch1: rarian-0.8.1-categories.patch

BuildRequires: patch
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: libxslt-devel >= 1.1.22

Requires: libxml2 >= 2.6.31
Requires: libxslt >= 1.1.22
Requires: coreutils, gawk

%description
Rarian is a documentation meta-data library that allows access to documents,
man pages and info pages.  It was designed as a replacement for scrollkeeper.


%package devel
Group: Development/Languages
Summary: Development files for Rarian
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel >= 2.6.31
Requires: libxslt-devel >= 1.1.22
Requires: pkg-config

%description devel
This package contains files required to develop applications that use the
Rarian library ("librarian").


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .categories


%build
# setup environment for 32-bit and 64-bit builds
export CC="cc -qcpluscmt"
export AR="ar -X32_64"

# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-skdb-update
make %{?_smp_mflags}

cp librarian/.libs/lib%{name}.so.0 .
make distclean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-skdb-update
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q librarian/.libs/lib%{name}.a ./lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README COPYING COPYING.LIB COPYING.UTILS ChangeLog NEWS AUTHORS
%{_bindir}/rarian-example
%{_libdir}/*.a
%{_datadir}/help
%{_datadir}/librarian
/usr/bin/rarian-example
/usr/lib/*.a


%files devel
%defattr(644,root,system,-)
%{_includedir}/%{name}
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Dec 01 2009 Michael Perzl <michael@perzl.org> - 0.8.1-1
- first version for AIX V5.1 and higher
